endeavour (43.0-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:51:09 +0000

endeavour (43.0-1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:33:26 +0000

endeavour (43.0-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:16:35 +0000

endeavour (43.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum meson to 0.57.0
  * Drop all patches: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 13 Dec 2022 11:41:47 -0500

endeavour (42.0-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata

  [ Jeremy Bicha ]
  * Update debian/upstream/metadata

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 12 Dec 2022 10:22:54 -0500

endeavour (42.0-4) unstable; urgency=medium

  * Cherry-pick patch to fix date picker (Closes: #1003928)
  * Build against libsoup3 libraries

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 05 Sep 2022 17:49:13 -0400

endeavour (42.0-3) unstable; urgency=medium

  * Team upload
  * d/control.in: endeavour-common Breaks/Replaces
    gnome-todo-common (<< 42)

 -- Simon McVittie <smcv@debian.org>  Sun, 21 Aug 2022 22:19:56 +0100

endeavour (42.0-2) unstable; urgency=medium

  * debian/control.in: Bump minimum libadwaita to 1.2~alpha

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 21 Aug 2022 14:19:23 -0400

endeavour (42.0-1) unstable; urgency=medium

  * App has been renamed to Endeavour
  * New upstream release
  * Add gnome-todo transitional package
  * Disable introspection and drop the unused gir package (Closes: #991082)
  * Stop providing a -dev package. Use debian/not-installed for those files
  * debian/endeavour.links: Add /usr/bin/gnome-todo symlink
  * Update debian/copyright
  * debian/docs: NEWS is no longer provided
  * Drop all patches except the gsettings patch: applied in new release
  * Cherry-pick patch to fix build with -Werror=format-security
  * Set Rules-Requires-Root:no and X-Ubuntu-Use-Langpack: yes

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 18 Aug 2022 16:00:27 -0400

gnome-todo (41.0-3) unstable; urgency=medium

  * debian/control.in: Drop unused librest-dev Build-Depends
  * debian/control.in: Bump Standards-Version to 4.6.1
  * Release to unstable (Closes: #1005536)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 18 Aug 2022 12:43:13 -0400

gnome-todo (41.0-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Switch from gtk3 to gtk4 and libadwaita
  * debian/control.in: Bump minimum glib & meson.
  * debian/control.in: Build-Depend on itstool
  * Build-Depend on libportal-gtk4-dev for background plugin
  * Build-Depend on dh-sequence-gnome
  * debian/gnome-todo-common.install: Install help files
  * Drop obsolete libgnome-todo (Closes: #883961)
  * Drop all existing patches: applied in new release
  * Add patch to compile gsettings schemas for build tests
  * Cherry-pick patches to fix libportal includes and update
    libadwaita support

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13
  * Set upstream metadata fields:
    Bug-Database, Bug-Submit, Contact, Repository, Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Apply multi-arch hints. + gir1.2-gtd-1.0, libgnome-todo-dev:
    Add Multi-Arch: same.

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 16 Jan 2022 18:24:39 -0500

gnome-todo (3.28.1-6) unstable; urgency=medium

  * Team upload.
  * Explicitly build-dep on librest-dev (Closes: #978357)

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 31 Dec 2020 21:45:21 +0100

gnome-todo (3.28.1-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 30 Sep 2019 15:11:50 +0200

gnome-todo (3.28.1-4) experimental; urgency=medium

  * debian/patches/eds-*: Various backports from upstream to build with EDS
    3.33
  * debian/control: Bump to build against libecal-2.0

 -- Iain Lane <laney@debian.org>  Mon, 12 Aug 2019 21:39:48 +0100

gnome-todo (3.28.1-3) experimental; urgency=medium

  * Cherry-pick Drop-the-autoptr-definition-for-ESource.patch:
    - Fix build with evolution-data-server 3.32

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 06 Feb 2019 17:42:02 -0500

gnome-todo (3.28.1-2) unstable; urgency=medium

  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Drop obsolete Build-Depends on appstream-util and yelp-tools
  * Add -Wl,-01 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 25 Dec 2018 17:03:02 -0500

gnome-todo (3.28.1-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete dh_translations override
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 11 Apr 2018 13:20:44 -0400

gnome-todo (3.28.0-1) unstable; urgency=medium

  * New upstream release
  * Move AppStream metadata to main package
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 12 Mar 2018 22:02:35 -0400

gnome-todo (3.27.90-1) experimental; urgency=medium

  * New upstream development release
  * Drop libical3.patch: Applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 11 Feb 2018 15:26:06 -0500

gnome-todo (3.26.2-3) unstable; urgency=medium

  * Add missing Replaces from package split to ensure smooth upgrades
  * Add stricter dependency from gnome-todo to gnome-todo-common
  * Use dh_missing --fail-missing
  * Thanks Didier Roche for the above packaging suggestions
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Update debian/gbp.conf for Debian GNOME conventions
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.3

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 22 Jan 2018 10:25:44 -0500

gnome-todo (3.26.2-2) unstable; urgency=medium

  * Bump Breaks/Replaces for package split so that Ubuntu can sync now
    (Closes: #873356)
  * Cherry-pick libical3.patch to fix build with libical 3 (Closes: #883937)

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 11 Dec 2017 15:07:10 -0500

gnome-todo (3.26.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - set Standards-Version: 4.1.1
  * debian/watch
    - use https for download

 -- Hideki Yamane <henrich@debian.org>  Wed, 01 Nov 2017 20:07:48 +0900

gnome-todo (3.26.1-1) unstable; urgency=medium

  * New upstream release

 -- Hideki Yamane <henrich@debian.org>  Fri, 22 Sep 2017 20:53:22 +0900

gnome-todo (3.26.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - drop autoconf-archive and add meson to Build-Depends
    - add libjson-glib-dev to Build-Depends
  * debian/rules
    - specify --buildsystem=meson
    - remove autoreconf lines
  * debian/patches
    - drop 0001-deal-with-appstream-metadata-in-legacy-location.patch
      It's unnecessary anymore (since moved to meson build)

 -- Hideki Yamane <henrich@debian.org>  Tue, 12 Sep 2017 22:03:54 +0900

gnome-todo (3.24.2-3) experimental; urgency=medium

  * debian/patches
    - add 0001-deal-with-appstream-metadata-in-legacy-location.patch
  * debian/{control.in,*.install}
    - split gnome-todo package to several packages

 -- Hideki Yamane <henrich@debian.org>  Fri, 28 Jul 2017 22:52:28 +0900

gnome-todo (3.24.2-2) unstable; urgency=medium

  * Upload to unstable
  * debian/control.in
    - set Standards-Version: 4.0.0

 -- Hideki Yamane <henrich@debian.org>  Sun, 18 Jun 2017 19:47:46 +0900

gnome-todo (3.24.2-1) experimental; urgency=medium

  * New upstream release

  [ Jeremy Bicha ]
  * debian/control.in:
    - Drop unneeded Build-Depends on dh-autoreconf and intltool

 -- Hideki Yamane <henrich@debian.org>  Mon, 12 Jun 2017 19:27:06 +0900

gnome-todo (3.24.1-1) experimental; urgency=medium

  * New upstream release
  * debian/{compat,control}
    - use dh10
  * debian/rules
    - remove unnecessary options with dh10
    - don't call intltoolize to avoid infinite loop

 -- Hideki Yamane <henrich@debian.org>  Sat, 03 Jun 2017 09:59:35 +0900

gnome-todo (3.22.1-2) unstable; urgency=medium

  * Add evolution-data-server dependency (Closes: #858206)
    - the eds plugin is the main backing store for the application
      and that ofcourse needs evolution-data-server.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 22 Mar 2017 09:34:47 +0100

gnome-todo (3.22.1-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - remove unnecessary CC-BY-SA license

 -- Hideki Yamane <henrich@debian.org>  Thu, 22 Dec 2016 11:27:10 +0900

gnome-todo (3.22.0-1) unstable; urgency=medium

  * New upstream release
    - fix crash in gtd-panel-scheduled.c on i386 (Closes: #822658)
  * debian/watch
    - use version 4
  * debian/control.in
    - add gtk-doc-tools to deal with FTBFS due to missing gtk-doc.make
  * debian/copyright
    - remove lines for data/theme/bg.*

 -- Hideki Yamane <henrich@debian.org>  Thu, 03 Nov 2016 23:41:07 +0900

gnome-todo (3.20.2-1) unstable; urgency=medium

  * New upstream release

 -- Hideki Yamane <henrich@debian.org>  Sat, 14 May 2016 22:30:28 +0900

gnome-todo (3.20.1-1) unstable; urgency=medium

  * New upstream release

 -- Hideki Yamane <henrich@debian.org>  Sat, 30 Apr 2016 14:58:14 +0900

gnome-todo (3.20.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - use https for Vcs-*
    - add Build-Depends: libpeas-dev (>= 1.17)
    - bump up Build-Depends: libgtk-3-dev (>= 3.19.5)
    - set Standards-Version: 3.9.8
  * debian/rules
    - add override_dh_auto_install to get rid of *.la files

 -- Hideki Yamane <henrich@debian.org>  Sat, 23 Apr 2016 00:58:26 +0900

gnome-todo (3.18.1-2) unstable; urgency=medium

  * Drop incorrect Build-Depends on libgio3.0-cil-dev. (Closes: #808500)

 -- Michael Biebl <biebl@debian.org>  Sun, 20 Dec 2015 23:36:06 +0100

gnome-todo (3.18.1-1) unstable; urgency=medium

  * New upstream release 3.18.1

 -- Hideki Yamane <henrich@debian.org>  Sat, 17 Oct 2015 13:10:41 +0900

gnome-todo (3.18.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Hideki Yamane <henrich@debian.org>  Mon, 12 Oct 2015 07:29:19 +0900

gnome-todo (3.18.0-1) experimental; urgency=low

  * Initial release

 -- Hideki Yamane <henrich@debian.org>  Fri, 21 Aug 2015 23:45:22 +0200
